1# Makefile.in generated by automake 1.9.2 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16srcdir = @srcdir@
17top_srcdir = @top_srcdir@
18VPATH = @srcdir@
19pkgdatadir = $(datadir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkgincludedir = $(includedir)/@PACKAGE@
22top_builddir = .
23am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24INSTALL = @INSTALL@
25install_sh_DATA = $(install_sh) -c -m 644
26install_sh_PROGRAM = $(install_sh) -c
27install_sh_SCRIPT = $(install_sh) -c
28INSTALL_HEADER = $(INSTALL_DATA)
29transform = $(program_transform_name)
30NORMAL_INSTALL = :
31PRE_INSTALL = :
32POST_INSTALL = :
33NORMAL_UNINSTALL = :
34PRE_UNINSTALL = :
35POST_UNINSTALL = :
36subdir = .
37DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
38	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
39	$(top_srcdir)/configure INSTALL NEWS TODO depcomp install-sh \
40	missing
41ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42am__aclocal_m4_deps = $(top_srcdir)/configure.in
43am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44	$(ACLOCAL_M4)
45am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
46 configure.lineno configure.status.lineno
47mkinstalldirs = $(install_sh) -d
48CONFIG_HEADER = config.h
49CONFIG_CLEAN_FILES =
50SOURCES =
51DIST_SOURCES =
52RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
53	html-recursive info-recursive install-data-recursive \
54	install-exec-recursive install-info-recursive \
55	install-recursive installcheck-recursive installdirs-recursive \
56	pdf-recursive ps-recursive uninstall-info-recursive \
57	uninstall-recursive
58man6dir = $(mandir)/man6
59am__installdirs = "$(DESTDIR)$(man6dir)"
60NROFF = nroff
61MANS = $(man_MANS)
62ETAGS = etags
63CTAGS = ctags
64DIST_SUBDIRS = $(SUBDIRS)
65DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
66distdir = $(PACKAGE)-$(VERSION)
67top_distdir = $(distdir)
68am__remove_distdir = \
69  { test ! -d $(distdir) \
70    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
71         && rm -fr $(distdir); }; }
72DIST_ARCHIVES = $(distdir).tar.gz
73GZIP_ENV = --best
74distuninstallcheck_listfiles = find . -type f -print
75distcleancheck_listfiles = find . -type f -print
76ACLOCAL = @ACLOCAL@
77AMDEP_FALSE = @AMDEP_FALSE@
78AMDEP_TRUE = @AMDEP_TRUE@
79AMTAR = @AMTAR@
80AUTOCONF = @AUTOCONF@
81AUTOHEADER = @AUTOHEADER@
82AUTOMAKE = @AUTOMAKE@
83AWK = @AWK@
84CC = @CC@
85CCDEPMODE = @CCDEPMODE@
86CFLAGS = @CFLAGS@
87CPP = @CPP@
88CPPFLAGS = @CPPFLAGS@
89CXX = @CXX@
90CXXCPP = @CXXCPP@
91CXXDEPMODE = @CXXDEPMODE@
92CXXFLAGS = @CXXFLAGS@
93CYGPATH_W = @CYGPATH_W@
94DEFS = @DEFS@
95DEPDIR = @DEPDIR@
96ECHO_C = @ECHO_C@
97ECHO_N = @ECHO_N@
98ECHO_T = @ECHO_T@
99EGREP = @EGREP@
100EXEEXT = @EXEEXT@
101INSTALL_DATA = @INSTALL_DATA@
102INSTALL_PROGRAM = @INSTALL_PROGRAM@
103INSTALL_SCRIPT = @INSTALL_SCRIPT@
104INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
105LDFLAGS = @LDFLAGS@
106LIBOBJS = @LIBOBJS@
107LIBS = @LIBS@
108LTLIBOBJS = @LTLIBOBJS@
109MAKEINFO = @MAKEINFO@
110OBJEXT = @OBJEXT@
111PACKAGE = @PACKAGE@
112PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
113PACKAGE_NAME = @PACKAGE_NAME@
114PACKAGE_STRING = @PACKAGE_STRING@
115PACKAGE_TARNAME = @PACKAGE_TARNAME@
116PACKAGE_VERSION = @PACKAGE_VERSION@
117PATH_SEPARATOR = @PATH_SEPARATOR@
118RANLIB = @RANLIB@
119SET_MAKE = @SET_MAKE@
120SHELL = @SHELL@
121STRIP = @STRIP@
122VERSION = @VERSION@
123X_CFLAGS = @X_CFLAGS@
124X_EXTRA_LIBS = @X_EXTRA_LIBS@
125X_LIBS = @X_LIBS@
126X_PRE_LIBS = @X_PRE_LIBS@
127ac_ct_CC = @ac_ct_CC@
128ac_ct_CXX = @ac_ct_CXX@
129ac_ct_RANLIB = @ac_ct_RANLIB@
130ac_ct_STRIP = @ac_ct_STRIP@
131am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
132am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
133am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
134am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
135am__include = @am__include@
136am__leading_dot = @am__leading_dot@
137am__quote = @am__quote@
138am__tar = @am__tar@
139am__untar = @am__untar@
140bindir = @bindir@
141build_alias = @build_alias@
142datadir = @datadir@
143exec_prefix = @exec_prefix@
144host_alias = @host_alias@
145includedir = @includedir@
146infodir = @infodir@
147install_sh = @install_sh@
148libdir = @libdir@
149libexecdir = @libexecdir@
150localstatedir = @localstatedir@
151mandir = @mandir@
152mkdir_p = @mkdir_p@
153oldincludedir = @oldincludedir@
154prefix = @prefix@
155program_transform_name = @program_transform_name@
156sbindir = @sbindir@
157sharedstatedir = @sharedstatedir@
158sysconfdir = @sysconfdir@
159target_alias = @target_alias@
160AUTOMAKE_OPTIONS = foreign check-news
161SUBDIRS = liblcdf src
162man_MANS = xmahjongg.6
163
164#
165# Installation
166#
167LAYOUTS = default bridge wedges ceremonial farandole arena theater \
168	deepwell hourglass arrow papillon schoon \
169	rat ox tiger hare dragon snake horse ram monkey rooster dog boar
170
171TILESETS = thin.gif small.gif thick.gif gnome.gif gnome2.gif dorothys.gif \
172	dorwhite.gif real.gif
173
174BACKGROUNDS = default.gif green.gif
175
176#
177# Distribution
178#
179EXTRA_DIST = \
180	xmahjongg.6 \
181	xmahjongg.spec \
182	include/lcdf/clp.h \
183	include/lcdf/inttypes.h \
184	include/lcdf/permstr.hh \
185	include/lcdf/straccum.hh \
186	include/lcdf/string.hh \
187	include/lcdf/vector.hh include/lcdf/vector.cc \
188	include/lcdfgif/gif.h \
189	include/lcdfgif/gifx.h
190
191all: config.h
192	$(MAKE) $(AM_MAKEFLAGS) all-recursive
193
194.SUFFIXES:
195am--refresh:
196	@:
197$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
198	@for dep in $?; do \
199	  case '$(am__configure_deps)' in \
200	    *$$dep*) \
201	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
202	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
203		&& exit 0; \
204	      exit 1;; \
205	  esac; \
206	done; \
207	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
208	cd $(top_srcdir) && \
209	  $(AUTOMAKE) --foreign  Makefile
210.PRECIOUS: Makefile
211Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
212	@case '$?' in \
213	  *config.status*) \
214	    echo ' $(SHELL) ./config.status'; \
215	    $(SHELL) ./config.status;; \
216	  *) \
217	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
218	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
219	esac;
220
221$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
222	$(SHELL) ./config.status --recheck
223
224$(top_srcdir)/configure:  $(am__configure_deps)
225	cd $(srcdir) && $(AUTOCONF)
226$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
227	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
228
229config.h: stamp-h1
230	@if test ! -f $@; then \
231	  rm -f stamp-h1; \
232	  $(MAKE) stamp-h1; \
233	else :; fi
234
235stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
236	@rm -f stamp-h1
237	cd $(top_builddir) && $(SHELL) ./config.status config.h
238$(srcdir)/config.h.in:  $(am__configure_deps)
239	cd $(top_srcdir) && $(AUTOHEADER)
240	rm -f stamp-h1
241	touch $@
242
243distclean-hdr:
244	-rm -f config.h stamp-h1
245uninstall-info-am:
246install-man6: $(man6_MANS) $(man_MANS)
247	@$(NORMAL_INSTALL)
248	test -z "$(man6dir)" || $(mkdir_p) "$(DESTDIR)$(man6dir)"
249	@list='$(man6_MANS) $(dist_man6_MANS) $(nodist_man6_MANS)'; \
250	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
251	for i in $$l2; do \
252	  case "$$i" in \
253	    *.6*) list="$$list $$i" ;; \
254	  esac; \
255	done; \
256	for i in $$list; do \
257	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
258	  else file=$$i; fi; \
259	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
260	  case "$$ext" in \
261	    6*) ;; \
262	    *) ext='6' ;; \
263	  esac; \
264	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
265	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
266	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
267	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man6dir)/$$inst'"; \
268	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man6dir)/$$inst"; \
269	done
270uninstall-man6:
271	@$(NORMAL_UNINSTALL)
272	@list='$(man6_MANS) $(dist_man6_MANS) $(nodist_man6_MANS)'; \
273	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
274	for i in $$l2; do \
275	  case "$$i" in \
276	    *.6*) list="$$list $$i" ;; \
277	  esac; \
278	done; \
279	for i in $$list; do \
280	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
281	  case "$$ext" in \
282	    6*) ;; \
283	    *) ext='6' ;; \
284	  esac; \
285	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
286	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
287	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
288	  echo " rm -f '$(DESTDIR)$(man6dir)/$$inst'"; \
289	  rm -f "$(DESTDIR)$(man6dir)/$$inst"; \
290	done
291
292# This directory's subdirectories are mostly independent; you can cd
293# into them and run `make' without going through this Makefile.
294# To change the values of `make' variables: instead of editing Makefiles,
295# (1) if the variable is set in `config.status', edit `config.status'
296#     (which will cause the Makefiles to be regenerated when you run `make');
297# (2) otherwise, pass the desired values on the `make' command line.
298$(RECURSIVE_TARGETS):
299	@set fnord $$MAKEFLAGS; amf=$$2; \
300	dot_seen=no; \
301	target=`echo $@ | sed s/-recursive//`; \
302	list='$(SUBDIRS)'; for subdir in $$list; do \
303	  echo "Making $$target in $$subdir"; \
304	  if test "$$subdir" = "."; then \
305	    dot_seen=yes; \
306	    local_target="$$target-am"; \
307	  else \
308	    local_target="$$target"; \
309	  fi; \
310	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
311	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
312	done; \
313	if test "$$dot_seen" = "no"; then \
314	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
315	fi; test -z "$$fail"
316
317mostlyclean-recursive clean-recursive distclean-recursive \
318maintainer-clean-recursive:
319	@set fnord $$MAKEFLAGS; amf=$$2; \
320	dot_seen=no; \
321	case "$@" in \
322	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
323	  *) list='$(SUBDIRS)' ;; \
324	esac; \
325	rev=''; for subdir in $$list; do \
326	  if test "$$subdir" = "."; then :; else \
327	    rev="$$subdir $$rev"; \
328	  fi; \
329	done; \
330	rev="$$rev ."; \
331	target=`echo $@ | sed s/-recursive//`; \
332	for subdir in $$rev; do \
333	  echo "Making $$target in $$subdir"; \
334	  if test "$$subdir" = "."; then \
335	    local_target="$$target-am"; \
336	  else \
337	    local_target="$$target"; \
338	  fi; \
339	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
340	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
341	done && test -z "$$fail"
342tags-recursive:
343	list='$(SUBDIRS)'; for subdir in $$list; do \
344	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
345	done
346ctags-recursive:
347	list='$(SUBDIRS)'; for subdir in $$list; do \
348	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
349	done
350
351ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
352	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
353	unique=`for i in $$list; do \
354	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
355	  done | \
356	  $(AWK) '    { files[$$0] = 1; } \
357	       END { for (i in files) print i; }'`; \
358	mkid -fID $$unique
359tags: TAGS
360
361TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
362		$(TAGS_FILES) $(LISP)
363	tags=; \
364	here=`pwd`; \
365	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
366	  include_option=--etags-include; \
367	  empty_fix=.; \
368	else \
369	  include_option=--include; \
370	  empty_fix=; \
371	fi; \
372	list='$(SUBDIRS)'; for subdir in $$list; do \
373	  if test "$$subdir" = .; then :; else \
374	    test ! -f $$subdir/TAGS || \
375	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
376	  fi; \
377	done; \
378	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
379	unique=`for i in $$list; do \
380	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
381	  done | \
382	  $(AWK) '    { files[$$0] = 1; } \
383	       END { for (i in files) print i; }'`; \
384	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
385	  test -n "$$unique" || unique=$$empty_fix; \
386	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
387	    $$tags $$unique; \
388	fi
389ctags: CTAGS
390CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
391		$(TAGS_FILES) $(LISP)
392	tags=; \
393	here=`pwd`; \
394	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
395	unique=`for i in $$list; do \
396	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
397	  done | \
398	  $(AWK) '    { files[$$0] = 1; } \
399	       END { for (i in files) print i; }'`; \
400	test -z "$(CTAGS_ARGS)$$tags$$unique" \
401	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
402	     $$tags $$unique
403
404GTAGS:
405	here=`$(am__cd) $(top_builddir) && pwd` \
406	  && cd $(top_srcdir) \
407	  && gtags -i $(GTAGS_ARGS) $$here
408
409distclean-tags:
410	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
411
412distdir: $(DISTFILES)
413	@case `sed 15q $(srcdir)/NEWS` in \
414	*"$(VERSION)"*) : ;; \
415	*) \
416	  echo "NEWS not updated; not releasing" 1>&2; \
417	  exit 1;; \
418	esac
419	$(am__remove_distdir)
420	mkdir $(distdir)
421	$(mkdir_p) $(distdir)/include/lcdf $(distdir)/include/lcdfgif
422	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
423	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
424	list='$(DISTFILES)'; for file in $$list; do \
425	  case $$file in \
426	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
427	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
428	  esac; \
429	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
430	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
431	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
432	    dir="/$$dir"; \
433	    $(mkdir_p) "$(distdir)$$dir"; \
434	  else \
435	    dir=''; \
436	  fi; \
437	  if test -d $$d/$$file; then \
438	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
439	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
440	    fi; \
441	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
442	  else \
443	    test -f $(distdir)/$$file \
444	    || cp -p $$d/$$file $(distdir)/$$file \
445	    || exit 1; \
446	  fi; \
447	done
448	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
449	  if test "$$subdir" = .; then :; else \
450	    test -d "$(distdir)/$$subdir" \
451	    || $(mkdir_p) "$(distdir)/$$subdir" \
452	    || exit 1; \
453	    distdir=`$(am__cd) $(distdir) && pwd`; \
454	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
455	    (cd $$subdir && \
456	      $(MAKE) $(AM_MAKEFLAGS) \
457	        top_distdir="$$top_distdir" \
458	        distdir="$$distdir/$$subdir" \
459	        distdir) \
460	      || exit 1; \
461	  fi; \
462	done
463	$(MAKE) $(AM_MAKEFLAGS) \
464	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
465	  dist-hook
466	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
467	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
468	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
469	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
470	|| chmod -R a+r $(distdir)
471dist-gzip: distdir
472	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
473	$(am__remove_distdir)
474
475dist-bzip2: distdir
476	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
477	$(am__remove_distdir)
478
479dist-tarZ: distdir
480	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
481	$(am__remove_distdir)
482
483dist-shar: distdir
484	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
485	$(am__remove_distdir)
486
487dist-zip: distdir
488	-rm -f $(distdir).zip
489	zip -rq $(distdir).zip $(distdir)
490	$(am__remove_distdir)
491
492dist dist-all: distdir
493	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
494	$(am__remove_distdir)
495
496# This target untars the dist file and tries a VPATH configuration.  Then
497# it guarantees that the distribution is self-contained by making another
498# tarfile.
499distcheck: dist
500	case '$(DIST_ARCHIVES)' in \
501	*.tar.gz*) \
502	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
503	*.tar.bz2*) \
504	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
505	*.tar.Z*) \
506	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
507	*.shar.gz*) \
508	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
509	*.zip*) \
510	  unzip $(distdir).zip ;;\
511	esac
512	chmod -R a-w $(distdir); chmod a+w $(distdir)
513	mkdir $(distdir)/_build
514	mkdir $(distdir)/_inst
515	chmod a-w $(distdir)
516	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
517	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
518	  && cd $(distdir)/_build \
519	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
520	    $(DISTCHECK_CONFIGURE_FLAGS) \
521	  && $(MAKE) $(AM_MAKEFLAGS) \
522	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
523	  && $(MAKE) $(AM_MAKEFLAGS) check \
524	  && $(MAKE) $(AM_MAKEFLAGS) install \
525	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
526	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
527	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
528	        distuninstallcheck \
529	  && chmod -R a-w "$$dc_install_base" \
530	  && ({ \
531	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
532	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
533	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
534	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
535	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
536	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
537	  && rm -rf "$$dc_destdir" \
538	  && $(MAKE) $(AM_MAKEFLAGS) dist \
539	  && rm -rf $(DIST_ARCHIVES) \
540	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
541	$(am__remove_distdir)
542	@(echo "$(distdir) archives ready for distribution: "; \
543	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
544	  sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
545distuninstallcheck:
546	@cd $(distuninstallcheck_dir) \
547	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
548	   || { echo "ERROR: files left after uninstall:" ; \
549	        if test -n "$(DESTDIR)"; then \
550	          echo "  (check DESTDIR support)"; \
551	        fi ; \
552	        $(distuninstallcheck_listfiles) ; \
553	        exit 1; } >&2
554distcleancheck: distclean
555	@if test '$(srcdir)' = . ; then \
556	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
557	  exit 1 ; \
558	fi
559	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
560	  || { echo "ERROR: files left in build directory after distclean:" ; \
561	       $(distcleancheck_listfiles) ; \
562	       exit 1; } >&2
563check-am: all-am
564check: check-recursive
565all-am: Makefile $(MANS) config.h
566installdirs: installdirs-recursive
567installdirs-am:
568	for dir in "$(DESTDIR)$(man6dir)"; do \
569	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
570	done
571install: install-recursive
572install-exec: install-exec-recursive
573install-data: install-data-recursive
574uninstall: uninstall-recursive
575
576install-am: all-am
577	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
578
579installcheck: installcheck-recursive
580install-strip:
581	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
582	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
583	  `test -z '$(STRIP)' || \
584	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
585mostlyclean-generic:
586
587clean-generic:
588
589distclean-generic:
590	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
591
592maintainer-clean-generic:
593	@echo "This command is intended for maintainers to use"
594	@echo "it deletes files that may require special tools to rebuild."
595clean: clean-recursive
596
597clean-am: clean-generic mostlyclean-am
598
599distclean: distclean-recursive
600	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
601	-rm -f Makefile
602distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
603
604dvi: dvi-recursive
605
606dvi-am:
607
608html: html-recursive
609
610info: info-recursive
611
612info-am:
613
614install-data-am: install-data-local install-man
615
616install-exec-am:
617
618install-info: install-info-recursive
619
620install-man: install-man6
621
622installcheck-am:
623
624maintainer-clean: maintainer-clean-recursive
625	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
626	-rm -rf $(top_srcdir)/autom4te.cache
627	-rm -f Makefile
628maintainer-clean-am: distclean-am maintainer-clean-generic
629
630mostlyclean: mostlyclean-recursive
631
632mostlyclean-am: mostlyclean-generic
633
634pdf: pdf-recursive
635
636pdf-am:
637
638ps: ps-recursive
639
640ps-am:
641
642uninstall-am: uninstall-info-am uninstall-local uninstall-man
643
644uninstall-info: uninstall-info-recursive
645
646uninstall-man: uninstall-man6
647
648.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
649	check-am clean clean-generic clean-recursive ctags \
650	ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-hook \
651	dist-shar dist-tarZ dist-zip distcheck distclean \
652	distclean-generic distclean-hdr distclean-recursive \
653	distclean-tags distcleancheck distdir distuninstallcheck dvi \
654	dvi-am html html-am info info-am install install-am \
655	install-data install-data-am install-data-local install-exec \
656	install-exec-am install-info install-info-am install-man \
657	install-man6 install-strip installcheck installcheck-am \
658	installdirs installdirs-am maintainer-clean \
659	maintainer-clean-generic maintainer-clean-recursive \
660	mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
661	pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
662	uninstall-info-am uninstall-local uninstall-man uninstall-man6
663
664
665install-share:
666	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/layouts $(DESTDIR)$(pkgdatadir)/tiles $(DESTDIR)$(pkgdatadir)/backgrounds
667	for i in $(LAYOUTS); do \
668	$(INSTALL_DATA) $(srcdir)/share/layouts/$$i $(DESTDIR)$(pkgdatadir)/layouts; done
669	for i in $(TILESETS); do \
670	$(INSTALL_DATA) $(srcdir)/share/tiles/$$i $(DESTDIR)$(pkgdatadir)/tiles; done
671	for i in $(BACKGROUNDS); do \
672	$(INSTALL_DATA) $(srcdir)/share/backgrounds/$$i $(DESTDIR)$(pkgdatadir)/backgrounds; done
673install-data-local: install-share
674
675uninstall-local:
676	-cd $(DESTDIR)$(pkgdatadir)/layouts; rm -f $(LAYOUTS)
677	-cd $(DESTDIR)$(pkgdatadir)/tiles; rm -f $(TILESETS)
678	-cd $(DESTDIR)$(pkgdatadir)/backgrounds; rm -f $(BACKGROUNDS)
679	-rmdir $(DESTDIR)$(pkgdatadir)/layouts $(DESTDIR)$(pkgdatadir)/tiles $(DESTDIR)$(pkgdatadir)/backgrounds
680	-rmdir $(DESTDIR)$(pkgdatadir)
681
682dist-hook:
683	mkdir $(distdir)/share
684	mkdir $(distdir)/share/layouts
685	mkdir $(distdir)/share/tiles
686	mkdir $(distdir)/share/backgrounds
687	for l in $(LAYOUTS); do cp -p $(srcdir)/share/layouts/$$l $(distdir)/share/layouts; done
688	for t in $(TILESETS); do cp -p $(srcdir)/share/tiles/$$t $(distdir)/share/tiles; done
689	for b in $(BACKGROUNDS); do cp -p $(srcdir)/share/backgrounds/$$b $(distdir)/share/backgrounds; done
690	mkdir $(distdir)/images
691	cp -p $(srcdir)/images/*.gif $(distdir)/images
692
693rpm: dist
694	buildarch=`rpm --showrc | awk '/^build arch/ { print $$4; }'` ; \
695	mkdir -p /tmp/rpm-xmj/SOURCES /tmp/rpm-xmj/RPMS/$$buildarch \
696	/tmp/rpm-xmj/BUILD ; \
697	echo 'include: /usr/lib/rpm/rpmrc' > /tmp/rpm-xmj/rc ; \
698	echo 'macrofiles: /usr/lib/rpm/macros:/tmp/rpm-xmj/macros' >> /tmp/rpm-xmj/rc ; \
699	echo '%_topdir /tmp/rpm-xmj' > /tmp/rpm-xmj/macros ; \
700	cp logo.gif $(PACKAGE)-$(VERSION).tar.gz /tmp/rpm-xmj/SOURCES ; \
701	rpm --rcfile /tmp/rpm-xmj/rc -bb xmahjongg.spec ; \
702	cp /tmp/rpm-xmj/RPMS/$$buildarch/*.rpm .
703	rm -rf /tmp/rpm-xmj
704
705#
706# Maintenance
707#
708
709srclinks:
710	test -d $(srcdir)/include || mkdir $(srcdir)/include
711	test -d $(srcdir)/include/lcdf || mkdir $(srcdir)/include/lcdf
712	test -d $(srcdir)/include/lcdfgif || mkdir $(srcdir)/include/lcdfgif
713	cd $(srcdir); for i in clp ; do \
714	ln -sf ../../liblcdf/liblcdf/$$i.c liblcdf/$$i.c ; \
715	ln -sf ../../../liblcdf/include/lcdf/$$i.h include/lcdf/$$i.h ; done
716	cd $(srcdir); for i in fixlibc.c vectorv.cc fmalloc.c ; do \
717	ln -sf ../../liblcdf/liblcdf/$$i liblcdf/$$i ; done
718	cd $(srcdir); for i in vector ; do \
719	ln -sf ../../../liblcdf/include/lcdf/$$i.cc include/lcdf/$$i.cc ; \
720	ln -sf ../../../liblcdf/include/lcdf/$$i.hh include/lcdf/$$i.hh ; done
721	cd $(srcdir); for i in permstr straccum string ; do \
722	ln -sf ../../../liblcdf/include/lcdf/$$i.hh include/lcdf/$$i.hh ; \
723	ln -sf ../../liblcdf/liblcdf/$$i.cc liblcdf/$$i.cc ; done
724	cd $(srcdir); for i in inttypes.h ; do \
725	ln -sf ../../../liblcdf/include/lcdf/$$i include/lcdf/$$i ; done
726	cd $(srcdir); for i in gif.h gifx.h ; do \
727	ln -sf ../../../liblcdf/include/lcdfgif/$$i include/lcdfgif/$$i ; done
728	cd $(srcdir); for i in giffunc.c gifread.c giftoc.c gifx.c ; do \
729	ln -sf ../../liblcdf/liblcdfgif/$$i liblcdf/$$i ; done
730
731versionize:
732	perl -pi -e "s/^\\.ds V.*/.ds V $(VERSION)/;" $(top_srcdir)/xmahjongg.6
733	perl -pi -e "s/^Version: .*/Version: $(VERSION)/; s/$(PACKAGE)-[\w.]+\.tar\.gz/$(PACKAGE)-$(VERSION).tar.gz/;" $(top_srcdir)/xmahjongg.spec
734
735.PHONY: srclinks versionize rpm
736# Tell versions [3.59,3.63) of GNU make to not export all variables.
737# Otherwise a system limit (for SysV at least) may be exceeded.
738.NOEXPORT:
739